Difference between revisions of "Printing"

From Info Wiki
Jump to: navigation, search
(updated to add Epson to recommendations)
(Troubleshooting: added notes re CUPS >= 1.6 and Foomatic 4.n)
Line 22: Line 22:
 
**these might not detect downloaded drivers and are thus less reliable
 
**these might not detect downloaded drivers and are thus less reliable
   
  +
====Can't Access Web Interface ====
  +
Some distributions require additional privilleges
  +
*add user to group "lp"
  +
*or complete the pop-up authorisation as user "root"
  +
  +
====Can't Access Network Printers ====
  +
A paradigm shift occurred with CUPS 1.6
  +
*SLP must now be installed and configured to use printers controlled via other hosts
  +
  +
==== Failure to Print ====
 
Failure to print, although the driver is installed, can result from unsuitable settings.
 
Failure to print, although the driver is installed, can result from unsuitable settings.
#from the CUPS Administratin tab, select
+
#from the CUPS Administration tab, select
 
#*Manage Printers -> Set Default Options
 
#*Manage Printers -> Set Default Options
 
#check the settings for and adjuxt if necessary
 
#check the settings for and adjuxt if necessary
Line 29: Line 39:
 
##paper source (tray (cassette) or manual)
 
##paper source (tray (cassette) or manual)
   
  +
A paradigm shift occurred with Foomatic 4.n
  +
*Applications now prepare jobs as a PDF file, in lieu Postscript
  +
*opensource drivers (PPD files) should have been converted
  +
*binary drivers from manufacturers may not have been
  +
**LibreOffice allows selection Print Properties -> Device -> Prlinter Language to be changed to Postscript, on a per job basis
   
 
=== Printer/Multi-Function Device Recommendations ===
 
=== Printer/Multi-Function Device Recommendations ===

Revision as of 10:33, 3 June 2014

For General Users

New users of Linux may find that their printer (and scanner) is neither supported nor supportable. Simplest option is to (carefully) purchase a new printer.

Selection Guideance

  • be aware that Linux uses Postscript or PDF technology as the basis for its print sub-system
    • printers that use Postscript, PDF or perhaps PCL print languages are readily supportable and likely to remain so
    • most entry-level printers do not use those technologies, that require additonal processing resouces, which in turn adds cost
    • be prepared to purchase a mid-range printer (or multi-function device).

All of the following pre-purchase research is strongly recommended

  • download the relevant driver from the manufacturer's web site
  • check for availability of alternate drivers at: http://www.openprinting.org/printers
  • install the relevant driver prior to purchase
    • in almost all cases this can be achieved without the printer physically present
  • seek assistance in a Linux forum if the drivers are not available or don't install


Troubleshooting

The direct interface to the Linux printing sub-system (CUPS) on your computer is via the URL http://localhost:631

  • this is also usually the most capable and reliable interface
  • other setup routines are provided in many Distributions
    • these might not detect downloaded drivers and are thus less reliable

Can't Access Web Interface

Some distributions require additional privilleges

  • add user to group "lp"
  • or complete the pop-up authorisation as user "root"

Can't Access Network Printers

A paradigm shift occurred with CUPS 1.6

  • SLP must now be installed and configured to use printers controlled via other hosts

Failure to Print

Failure to print, although the driver is installed, can result from unsuitable settings.

  1. from the CUPS Administration tab, select
    • Manage Printers -> Set Default Options
  2. check the settings for and adjuxt if necessary
    1. paper size (usually A4 is appropriate)
    2. paper source (tray (cassette) or manual)

A paradigm shift occurred with Foomatic 4.n

  • Applications now prepare jobs as a PDF file, in lieu Postscript
  • opensource drivers (PPD files) should have been converted
  • binary drivers from manufacturers may not have been
    • LibreOffice allows selection Print Properties -> Device -> Prlinter Language to be changed to Postscript, on a per job basis

Printer/Multi-Function Device Recommendations

The following factors might assist preparation of a "short-list"

  • HP provide Linux support for most of their devices
    • low-end devices would be reliant on continuation of this support, as would be the case with other brands
  • Fuji-Xerox have argueably the best colour laser technology
    • CP/CM 305 series are the lowest cost models having Linux support
    • and are competitively priced, for the capability provided
  • Brother multi-functions all support scanning via network
    • mid-range models do use Postscript and should be supportable long-term
  • Epson printers are often supported

--Rpeters 09:02, 1 September 2013 (EST)

Technical Info